aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap-verify-perf.sh
diff options
context:
space:
mode:
authorpmikus <pmikus@cisco.com>2016-04-12 12:21:53 +0200
committerpmikus <pmikus@cisco.com>2016-04-12 12:21:53 +0200
commitb5a17c8d29868a0521447176845d01d293ea585a (patch)
tree918c91aa60e87bec0cee7d3e0728500845f848cb /bootstrap-verify-perf.sh
parent831bfd57e9d046d38fb59d60c3c813eca7878d60 (diff)
Bootstrap verify performance fix
- fix installation directory create and remove Change-Id: I0acd47b886e869958a2075889af3bbe166d7808e Signed-off-by: pmikus <pmikus@cisco.com>
Diffstat (limited to 'bootstrap-verify-perf.sh')
-rwxr-xr-xbootstrap-verify-perf.sh22
1 files changed, 12 insertions, 10 deletions
diff --git a/bootstrap-verify-perf.sh b/bootstrap-verify-perf.sh
index 70b235a6d9..a4d519441f 100755
--- a/bootstrap-verify-perf.sh
+++ b/bootstrap-verify-perf.sh
@@ -19,6 +19,7 @@ TOPOLOGIES="topologies/available/lf_testbed2-710-520.yaml"
# Reservation dir
RESERVATION_DIR="/tmp/reservation_dir"
+INSTALLATION_DIR="/tmp/install_dir"
# Jenkins VPP deb paths (convert to full path)
VPP_DEBS="$( readlink -f $@ | tr '\n' ' ' )"
@@ -59,24 +60,25 @@ while :; do
sleep ${SLEEP_TIME}
done
+function cancel_all {
+ python ${CUR_DIR}/resources/tools/topo_installation.py -c -t $1
+ python ${CUR_DIR}/resources/tools/topo_reservation.py -c -t $1
+}
+
+# On script exit we cancel the reservation and installation and delete all vpp
+# packages
+trap "cancel_all ${WORKING_TOPOLOGY}" EXIT
+
python ${CUR_DIR}/resources/tools/topo_installation.py -t ${WORKING_TOPOLOGY} \
- -d ${RESERVATION_DIR} \
+ -d ${INSTALLATION_DIR} \
-p ${VPP_DEBS}
if [ $? -eq 0 ]; then
echo "VPP Installed on hosts from: ${WORKING_TOPOLOGY}"
else
echo "Failed to copy vpp deb files to DUTs"
- exit $?
+ exit 1
fi
-function cancel_reservation {
- python ${CUR_DIR}/resources/tools/topo_reservation.py -c -t $1
-}
-
-# On script exit we cancel the reservation and delete all vpp packages
-trap "cancel_reservation ${WORKING_TOPOLOGY}" EXIT
-
-
if [ ! -z "$TEST_TAG" ]; then
# run specific performance tests by tag if variable is set
pybot -L TRACE \